OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions
squirrel.cpp File Reference

the implementation of the Squirrel class. More...

`#include <stdarg.h>`
`#include "../stdafx.h"`
`#include "../debug.h"`
`#include "squirrel_std.hpp"`
`#include "../fileio_func.h"`
`#include "../string_func.h"`
`#include <sqstdaux.h>`
`#include <../squirrel/sqpcheader.h>`
`#include <../squirrel/sqvm.h>`
`#include "../safeguards.h"`

Go to the source code of this file.

## Data Structures
class | SQFile

## Functions
static WChar | _io_file_lexfeed_ASCII (SQUserPointer file)
static WChar | _io_file_lexfeed_UTF8 (SQUserPointer file)
static WChar | _io_file_lexfeed_UCS2_no_swap (SQUserPointer file)
static WChar | _io_file_lexfeed_UCS2_swap (SQUserPointer file)
static SQInteger | _io_file_read (SQUserPointer file, SQUserPointer buf, SQInteger size)

## Detailed Description

the implementation of the Squirrel class.

It handles all Squirrel-stuff and gives a nice API back to work with.

Definition in file squirrel.cpp.